#ifndef _Handle_PTopoDS_TShell_HeaderFile
#define _Handle_PTopoDS_TShell_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TShape_HeaderFile
#include <Handle_PTopoDS_TShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TShape);
class PTopoDS_TShell;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TShell);

class Handle(PTopoDS_TShell) : public Handle(PTopoDS_TShape) {
  public:

    Handle(PTopoDS_TShell)():Handle(PTopoDS_TShape)() {} 
    Handle(PTopoDS_TShell)(const Handle(PTopoDS_TShell)& aHandle) : Handle(PTopoDS_TShape)(aHandle) 
     {
     }

    Handle(PTopoDS_TShell)(const PTopoDS_TShell* anItem) : Handle(PTopoDS_TShape)((PTopoDS_TShape *)anItem) 
     {
     }

    Handle(PTopoDS_TShell)& operator=(const Handle(PTopoDS_TShell)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TShell)& operator=(const PTopoDS_TShell* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TShell* operator->() const 
     {
      return (PTopoDS_TShell *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TShell) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
